org.bouncycastle.asn1.ess

## Class OtherSigningCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ess.OtherSigningCertificate

All Implemented Interfaces:
  DEREncodable

    public class OtherSigningCertificate
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`OtherSigningCertificate(ASN1Sequence seq)` constructeurs
`OtherSigningCertificate(OtherCertID otherCertID)`

### Method Summary

Methods
`OtherCertID[]` `getCerts()`
`static OtherSigningCertificate` `getInstance(java.lang.Object o)`
`PolicyInformation[]` `getPolicies()`
`DERObject` `toASN1Object()` The definition of OtherSigningCertificate is OtherSigningCertificate ::= SEQUENCE { certs SEQUENCE OF OtherCertID, policies SEQUENCE OF PolicyInformation OPTIONAL } id-aa-ets-otherSigCert OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 19 }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OtherSigningCertificate

    public OtherSigningCertificate(ASN1Sequence seq)

constructeurs

#### OtherSigningCertificate

    public OtherSigningCertificate(OtherCertID otherCertID)

### Method Detail

#### getInstance

    public static OtherSigningCertificate getInstance(java.lang.Object o)

#### getCerts

    public OtherCertID[] getCerts()

#### getPolicies

    public PolicyInformation[] getPolicies()

#### toASN1Object

    public DERObject toASN1Object()

The definition of OtherSigningCertificate is

     OtherSigningCertificate ::=  SEQUENCE {
          certs        SEQUENCE OF OtherCertID,
          policies     SEQUENCE OF PolicyInformation OPTIONAL
     }

id-aa-ets-otherSigCert OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 19 }

Specified by:
  `toASN1Object` in class `ASN1Encodable`